Subject: bug#16038: 24.3; latest change to with-help-window makes temp-buffer-browse useless

From: Leo Liu <[email-masked]>
Date: Sun, 12 Jan 2014 00:31:48 +0800

On 2014-01-11 23:41 +0800, martin rudalics wrote:
> I'd rather get rid of `with-output-to-temp-buffer' ;-)

Yes, please make one of them obsolete.

> If you look into our mail archives, you should find a couple of
> complaints about `with-output-to-temp-buffer' putting the buffer in
> `help-mode' (via `temp-buffer-setup-hook') and the like.  I tried to
> avoid these when I wrote `with-temp-buffer-window'.
>
> Assume two applications A and B: A expects `with-output-to-temp-buffer'
> to put the buffer in `help-mode'.  B wants to avoid that the buffer is
> put in `help-mode'.  I can offer B to use `with-temp-buffer-window'
> instead while A can continue to work as usual.  Eventually I'd like A to
> use `with-temp-buffer-window' too and put the buffer in `help-mode'
> itself.  But there were too many `with-output-to-temp-buffer' calls in
> the code base and I was not able to look into them.

Indeed it seems with-temp-buffer-window is more powerful. Please take
steps to deprecate the other macro. It is this that looks rather ugly:

1) temp-buffer-setup-hook,        temp-buffer-show-hook,
2) temp-buffer-window-setup-hook, temp-buffer-window-show-hook

Leo